ObjectType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class ObjectType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.AnyType
              org.hibernate.type.ObjectType

All Implemented Interfaces:
  Serializable, AssociationType, BasicType, CompositeType, Type

    public class ObjectType

extends AnyType
implements BasicType

Specific adaptation of the "any" type to the old deprecated "object" type

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.type.AnyType
`AnyType.ObjectTypeCacheEntry`

Field Summary
`static ObjectType` | `INSTANCE`

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`ObjectType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`String[]` | `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.

Methods inherited from class org.hibernate.type.AnyType
`assemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getAssociatedEntityName, getAssociatedJoinable, getCascadeStyle, getColumnSpan, getFetchMode, getForeignKeyDirection, getLHSPropertyName, getOnCondition, getPropertyNames, getPropertyNullability, getPropertyValue, getPropertyValues, getPropertyValues, getReturnedClass, getRHSUniqueKeyPropertyName, getSubtypes, hydrate, isAlwaysDirtyChecked, isAnyType, isAssociationType, isComponentType, isDirty, isEmbedded, isEmbeddedInXML, isMethodOf, isModified, isMutable, isReferenceToPrimaryKey, isSame, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, resolve, semiResolve, setPropertyValues, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, useLHSPrimaryKey`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getHashCode, getHashCode, getSemiResolvedType, isCollectionType, isDirty, isEntityType, isEqual, isEqual, isXMLElement, replace, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Field Detail

### INSTANCE

    public static final ObjectType INSTANCE

Constructor Detail

### ObjectType

    public ObjectType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Overrides:
    `getName` in class `AnyType`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Returns:
    The keys under which to register this type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.